Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barcode4j
Class BarcodeDesignConverter

    java.lang.Object
      net.sf.jasperreports.components.barcode4j.BarcodeDesignConverter

All Implemented Interfaces:
  ComponentDesignConverter

    public class BarcodeDesignConverter

extends java.lang.Object
implements ComponentDesignConverter

Version:
  $Id: BarcodeDesignConverter.java 3491 2010-03-01 15:52:55Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BarcodeDesignConverter()`

Method Summary
`JRPrintElement` | `convert(ReportConverter reportConverter, JRComponentElement element)` Converts a component element into a print element that represents a preview of the component.
`protected JRRenderable` | `evaluateBarcode(ReportConverter reportConverter, JRComponentElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarcodeDesignConverter

    public BarcodeDesignConverter()

Method Detail

### convert

    public JRPrintElement convert(ReportConverter reportConverter,
                                  JRComponentElement element)

  Description copied from interface: `ComponentDesignConverter`
  Converts a component element into a print element that represents a preview of the component.

  Specified by:
    `convert` in interface `ComponentDesignConverter`
  Parameters:
    `reportConverter` - the report converter instance
    `element` - the component element
  Returns:
    a print element that represents a preview of the component

### evaluateBarcode

    protected JRRenderable evaluateBarcode(ReportConverter reportConverter,
                                           JRComponentElement element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com